﻿<div class="top-row pl-4 navbar navbar-dark">
    <a class="navbar-brand" href="">Театр Варьете</a>
    <button class="navbar-toggler" @onclick="ToggleNavMenu">
        <span class="navbar-toggler-icon"></span>
    </button>
</div>

<div class="@NavMenuCssClass" @onclick="ToggleNavMenu">
    <ul class="nav flex-column">
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="poster" Match="NavLinkMatch.All">
                <span class="oi oi-home" aria-hidden="true"></span> Афиша
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="calendar">
                <span class="oi oi-plus" aria-hidden="true"></span> Расписание
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="user" >
                <span class="oi oi-list-rich" aria-hidden="true"></span> Личный кабинет
            </NavLink>
        </li>
    </ul>
</div>

@code {
    bool collapseNavMenu = true;

    string NavMenuCssClass => collapseNavMenu ? "collapse" : null;

    void ToggleNavMenu()
    {
        collapseNavMenu = !collapseNavMenu;
    }
}
